<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

/**
 * Class CreateTerminyUdalostMiestaKonaniaTable
 */
return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('terminy_udalost_miesta_konania', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('vytvoril_id');

            $table->string('nazov');
            $table->string('ulica');
            $table->string('obec');
            $table->string('psc');
            $table->string('krajina');
            $table->float('latitude');
            $table->float('longitude');

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('terminy_udalost_miesta_konania');
    }
};
